Subject: Re: [PATCH net-next v2 00/22] Introducing OpenVPN Data Channel Offload

From: Jakub Kicinski <[email-masked]>
Date: Wed, 6 Mar 2024 08:13:22 -0800

On Wed, 6 Mar 2024 16:44:41 +0100 Antonio Quartulli wrote:
> >   - some basic set of tests (or mention that you'll run your own CI
> >     and report results to us: https://netdev.bots.linux.dev/status.html)  
> 
> I currently have a small userspace tool (that implements the netlink 
> APIs) and a script that by means of netns and this tool runs a bunch of 
> tests.
> 
> Is there any requirement about how the test should work so that I can 
> make it compatible with your harness? I will then push it to 
> /tools/testing/selftests/ovpn so that you can pick it up.

Standard kernel selftest rules apply, we try to keep it pretty vanilla.
Test should exit with 0 on success, 1 on fail, and 4 on skip.
Skip if there are any missing dependencies in the test environment.

This has more deets on how we execute the tests:
https://github.com/linux-netdev/nipa/wiki/How-to-run-netdev-selftests-CI-style